<script setup>
defineProps({
  message: {
    type: String,
    required: true
  }
})
</script>

<template>
  <section class="coming-soon">
    <slot name="icon" />
    <p class="coming-soon__message">
      {{ message }}
    </p>
    <div class="coming-soon__actions">
      <slot name="actions" />
    </div>
  </section>
</template>

<style lang="scss" scoped>
  .coming-soon {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 350px;
    gap: 1rem;
    color: $complementary-white-25;
    &__message {
      font-weight: 600;
      font-size: 14px;
      line-height: 17px;
      text-align: center;
    }
    &__actions {
      display: flex;
      justify-content: center;
      gap: 1rem;
      width: 100%;
    }
  }
</style>
